Non Conformance Inspection

The non conformance inspection resource.

Basehttps://rest.carbon.ms/nonConformanceInspection
GET/nonConformanceInspection

List non conformance inspections

Retrieve a paginated list of non conformance inspections. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/nonConformanceInspection
curl --request GET \
  --url 'https://rest.carbon.ms/nonConformanceInspection?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "nonConformanceId": "xyz789",
    "inspectionId": "xyz789",
    "companyId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string",
    "updatedBy": "string"
  }
]
GET/nonConformanceInspection

Retrieve a non conformance inspection

Fetch a single non conformance inspection by filtering on `id`.

Query parameters

idstring

Match on the non conformance inspection's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/nonConformanceInspection
curl --request GET \
  --url 'https://rest.carbon.ms/nonConformanceInspection?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "nonConformanceId": "xyz789",
  "inspectionId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "updatedBy": "string"
}
POST/nonConformanceInspection

Create a non conformance inspection

Create a new non conformance inspection.

Body parameters

nonConformanceIdstringrequired

References nonConformance.id

inspectionIdstringrequired

References inspection.id

companyIdstringrequired

References company.id

POSThttps://rest.carbon.ms/nonConformanceInspection
curl --request POST \
  --url https://rest.carbon.ms/nonConformanceInspection \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"nonConformanceId":"xyz789","inspectionId":"xyz789","companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "nonConformanceId": "xyz789",
  "inspectionId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "updatedBy": "string"
}
PATCH/nonConformanceInspection

Update a non conformance inspection

Update an existing non conformance inspection, matched on `id`.

Body parameters

nonConformanceIdstringrequired

References nonConformance.id

inspectionIdstringrequired

References inspection.id

companyIdstringrequired

References company.id

PATCHhttps://rest.carbon.ms/nonConformanceInspection
curl --request PATCH \
  --url 'https://rest.carbon.ms/nonConformanceInspection?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"nonConformanceId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "nonConformanceId": "xyz789",
  "inspectionId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "updatedBy": "string"
}
DELETE/nonConformanceInspection

Delete a non conformance inspection

Delete a non conformance inspection, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the non conformance inspection to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/nonConformanceInspection
curl --request DELETE \
  --url 'https://rest.carbon.ms/nonConformanceInspection?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content